View Issue Details

IDProjectCategoryView StatusLast Update
0003302GNUnetnamestore servicepublic2018-06-07 00:25
ReporterFlorian DoldAssigned ToChristian Grothoff 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.10.0 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003302: record deletion does not respect the record type or value
DescriptionThe '-d' option of gnunet-namestore does not respect the values given to '-V' or '-t'.

Instead, all records are deleted that match the given name.

This should be fixed, or at least clarified in the help text.
TagsNo tags attached.

Activities

Christian Grothoff

2014-02-03 10:03

manager   ~0008054

We could clarify the help text, or just print a warning and refuse to do the operation if -d is given in conjunction with -V or -t ("partial deletion not implemented").

Christian Grothoff

2014-05-13 16:28

manager   ~0008329

Fixed in SVN 33260.

Issue History

Date Modified Username Field Change
2014-02-02 20:49 Florian Dold New Issue
2014-02-03 10:03 Christian Grothoff Note Added: 0008054
2014-02-03 10:03 Christian Grothoff Status new => confirmed
2014-04-11 15:20 Christian Grothoff Product Version => 0.10.0
2014-04-11 15:20 Christian Grothoff Target Version => 0.11.0pre66
2014-04-22 18:48 Christian Grothoff Assigned To => Christian Grothoff
2014-04-22 18:48 Christian Grothoff Status confirmed => assigned
2014-04-23 19:28 Christian Grothoff Priority normal => urgent
2014-05-13 16:28 Christian Grothoff Note Added: 0008329
2014-05-13 16:28 Christian Grothoff Status assigned => resolved
2014-05-13 16:28 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-05-13 16:28 Christian Grothoff Resolution open => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed